Subject: Suppliers treat you shabby, Give MSC a try...

From: [email-masked] (Roland)
Date: 4 Jun 1995 12:29:42 GMT

Too many unhappy experiences with supply houses....MSC is the cure.  
Many, many perfect transaction with MSC prove to me that they know how to 
make profit....satisfy the customer.  Their prices are always at or below 
anyone else($25.00 minimum purchase)  You can't beat a $300.00 open 
account by just giving them your SS#.  Their CATALOG is too heavy to 
lift.  While I have no connection with MSC what-so-ever, execpt for being 
a satisfied customer, I can say that they are good folks to do business 
with. 1-800-645-7270